<?xml version="1.0" encoding="utf-8"?>
<configuration>
  <configSections>
    <section name="unity" type="Microsoft.Practices.Unity.Configuration.UnityConfigurationSection,Unity.Configuration" />
  </configSections>
  <unity>
    <assembly name="FLY.Thick.FilmCasting" />
    <namespace name="FLY.Thick.FilmCasting.IService" />
    <namespace name="FLY.Thick.FilmCasting.Client" />
    <container>
      <register type="IFilmCastingProfileService" mapTo="FilmCastingProfileServiceClient">
        <lifetime type="singleton" />
        <constructor>
          <param name="serviceId" value="30012" />
          <param name="connName" dependencyName="cn0" />
        </constructor>
      </register>
      <register type="IScanWarningService" mapTo="ScanWarningServiceClient">
        <lifetime type="singleton" />
        <constructor>
          <param name="serviceId" value="30013" />
          <param name="connName" dependencyName="cn0" />
        </constructor>
      </register>
      <register type="IBoltMapFilmCastingService" mapTo="BoltMapFilmCastingServiceClient">
        <lifetime type="singleton" />
        <constructor>
          <param name="serviceId" value="30016" />
          <param name="connName" dependencyName="cn0" />
        </constructor>
      </register>
      <register type="IBulkDbService" mapTo="BulkDbServiceClient">
        <lifetime type="singleton" />
        <constructor>
          <param name="serviceId" value="30017" />
          <param name="connName" dependencyName="cn0" />
        </constructor>
      </register>
    </container>
  </unity>
</configuration>